#!/bin/sh

cd /app

export PYTHONUSERBASE=/root/.local

# si no existe directorio de ambiente, se crea
if [[ ! -d /root/.local/bin ]]; then
  pip install --user -r /app/myproject/requirements.txt
fi

if [[ ! -d ./myproject ]]; then
  django-admin startproject myproject
fi

chmod o+w -R myproject/

if [[ ! -f .env ]] && [[ -f .env.develop ]]; then
  cp .env.develop .env
fi

# iniciar servidor
python myproject/manage.py runserver 0.0.0.0:$PORT
